with Ada.Text_IO;  use Ada.Text_IO;
with Ada.Numerics; use Ada.Numerics;  -- for Pi

procedure Display_Velocities is

   type Real is digits 13;

   Velocity              : Real;
   Distance_Traveled     : Real;
   Orbital_Circumference : Real;

   --  At low earth orbit, approx 250 miles, 1 orbit (revolution) takes
   --  approx 1.5 hours. In 12.1 hours we should have about 8 orbits
   --  completed.
   Elapsed_Time : constant Real := 12.1;
   Num_Orbits   : constant Real := 8.0;
   Altitude     : constant Real := 3963.0 + 250.0;
      --  radius of earth + altitude above sea level,
      --  assuming a circular orbit and spherical planet

begin
   Orbital_Circumference := 2.0 * Pi * Altitude;
   Distance_Traveled := Num_Orbits * Orbital_Circumference;
   Velocity := Distance_Traveled / Elapsed_Time;
   Put_Line ("Velocity is " & Real'Image (Velocity) & " m.p.h.");
end Display_Velocities;
