with Ada.Text_IO;  use Ada.Text_IO;
with Ada.Numerics; use Ada.Numerics;  -- for Pi

procedure Display_Velocities is

   type Real is digits 13;

   Elapsed_Time : constant Real := 19.0; -- arbitrary
   Altitude     : constant Real := 3963.0 + 250.0;
   --  radius of earth + height above sea level

   Num_Orbits            : Real;
   Orbital_Circumference : Real;
   Distance_Traveled     : Real;
   Velocity              : Real;

begin
   Num_Orbits := 0.0;
   loop
      Put ("Enter # orbits ('return key' to use " & Real'Image (Num_Orbits) & "): ");
      declare
         Input : constant String := Get_Line;
      begin
         exit when Input = "";
         Num_Orbits := Real'Value (Input);
      end;
   end loop;
   New_Line;

   Orbital_Circumference := 2.0 * Pi * Altitude;  --  assume circular orbit
   Distance_Traveled     := Num_Orbits * Orbital_Circumference;
   Velocity              := Distance_Traveled / Elapsed_Time;
   Put_Line ("Velocity is " & Real'Image (Velocity) & " m.p.h.");
end Display_Velocities;
