with Ada.Text_IO;  use Ada.Text_IO;
with Ada.Numerics; use Ada.Numerics;

procedure Display_Velocities is

   Feet_Per_Mile    : constant := 5_280.0;
   Miles_Per_KM     : constant := 0.62137;
   Minutes_Per_Hour : constant := 60.0;

   type Real is digits 13;

   type Countries is (USA, Russia);

   type Satellite_Data is (Revolutions, Elapsed_Time, Altitude);

   type Orbital_Data is array (Countries, Satellite_Data) of Real;

   Data : Orbital_Data;

   Velocity : Real;
   Distance : Real;

begin
   Data :=
     (USA    => (Altitude     => 22_256_384.2 / Feet_Per_Mile,
                 Elapsed_Time => 36_320.2 / Minutes_Per_Hour,
                 Revolutions  => 10.0),
      Russia => (Altitude     => 12_147.7 * Miles_Per_KM,
                 Elapsed_Time => 680.2,
                 Revolutions  => 11.0));

   for Nation in Countries loop
      Distance := Data (Nation, Revolutions) * 2.0 * Pi * Data (Nation, Altitude);
      Velocity := Distance / Data (Nation, Elapsed_Time);
      Put_Line ("Velocity for " & Countries'Image (Nation) &
                "'s satellite is " & Real'Image (Velocity) & " m.p.h.");
   end loop;
end Display_Velocities;
