with Ada.Text_IO;  use Ada.Text_IO;
with Ada.Numerics; use Ada.Numerics;

procedure Display_Velocities is

   type Real is digits 13;

   type Satellite is
      record
         Altitude     : Real;
         Elapsed_Time : Real;
         Revolutions  : Real;
      end record;

   type Countries is (USA, Russia);

   Satellites : array (Countries) of Satellite;
   Speed      : Real;

   function Velocity (This : Satellite) return Real is
      Distance : Real;
   begin
      Distance := This.Revolutions * 2.0 * Pi * This.Altitude;
      return Distance / This.Elapsed_Time;
   end Velocity;

   procedure Get (Obj : out Real; Prompt : in String) is
      Input : String (1 .. 80);
      Last  : Integer range Input'First - 1 .. Input'Last;
   begin
      Obj := 0.0;
      Getting : loop
         Asking : loop
            Put (Prompt);
            Get_Line (Input, Last);
            exit Getting when Last = Input'First - 1;
            Obj := Real'Value (Input (1 .. Last));
            exit Asking;
         end loop Asking;
         Put_Line ("You entered: " & Input (1 .. Last) &
                   ", press return key to accept");
      end loop Getting;
   end Get;

begin
   Put_Line ("----Entering data for USA satellite----");
   Get (Satellites (USA).Revolutions, "Enter number of orbits: ");
   New_Line;
   Get (Satellites (USA).Altitude, "Enter altitude in miles: ");
   New_Line;
   Get (Satellites (USA).Elapsed_Time, "Enter elapsed time in hours: ");
   New_Line;

   Put_Line ("----Entering data for Russian satellite----");
   Get (Satellites (Russia).Revolutions, "Enter number of orbits: ");
   New_Line;
   Get (Satellites (Russia).Altitude, "Enter altitude in miles: ");
   New_Line;
   Get (Satellites (Russia).Elapsed_Time, "Enter elapsed time in hours: ");
   New_Line;

   for Nation in Satellites'Range loop
      Speed := Velocity (Satellites (Nation));
      Put_Line ("Velocity for " & Countries'Image (Nation) &
                "'s satellite is " & Real'Image (Speed) & " m.p.h.");
   end loop;
end Display_Velocities;
