with Ada.Numerics; use Ada.Numerics; -- for Pi

package body Spacecraft is

   -------------------
   -- New_Satellite --
   -------------------

   function New_Satellite (Altitude, Elapsed_Time, Revolutions : Real) return Satellite is
   begin
      return Satellite'(Altitude     => New_Satellite.Altitude,
                        Elapsed_Time => New_Satellite.Elapsed_Time,
                        Revolutions  => New_Satellite.Revolutions);
   end New_Satellite;

   --------------
   -- Velocity --
   --------------

   function Velocity (This : Satellite) return Real is
      Distance : Real;
   begin
      Distance := This.Revolutions * 2.0 * Pi * This.Altitude;
      return Distance / This.Elapsed_Time;
   end Velocity;

end Spacecraft;
