with Ada.Text_IO;       use Ada.Text_IO;
with Known_Satellites;  use Known_Satellites;
with Spacecraft.Ctors;  use Spacecraft.Ctors;
use Spacecraft;

procedure Display_Velocities is

   Feet_Per_Mile    : constant := 5_280.0;
   Miles_Per_KM     : constant := 0.62137;
   Minutes_Per_Hour : constant := 60.0;

   Speed : Spacecraft.Real;

   USA    : Satellite_Reference;
   Russia : Satellite_Reference;

begin
   Insert_Satellite
     (Reference => USA,
      Value  => New_Satellite
                  (Altitude     => 22_256_384.2 / Feet_Per_Mile,
                   Elapsed_Time => 36_320.2 / Minutes_Per_Hour,
                   Revolutions  => 10.0));

   Insert_Satellite
     (Reference => Russia,
      Value  => New_Satellite
                  (Altitude     => 12_147.7 * Miles_Per_KM,
                   Elapsed_Time => 680.2,
                   Revolutions  => 11.0));

   Speed := Spacecraft.Velocity (Dereferenced (USA));
   Put_Line ("Velocity for USA's satellite is " &
             Real'Image (Speed) &
             " m.p.h.");

   Speed := Spacecraft.Velocity (Dereferenced (Russia));
   Put_Line ("Velocity for Russia's satellite is " &
             Real'Image (Speed) &
             " m.p.h.");
end Display_Velocities;
